<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\MappedSuperclass()
 */
abstract class TaxRate extends AbstractEntity
{

        /**
         * @ORM\Column(type="string", length=255)
         */
        protected $title;

        /**
         * @ORM\Column(type="float")
         */
        protected $value;


        public function __toString()
        {
                return $this->getTitle() ;
        }

        public function getTitle(): ?string
        {
                return $this->title;
        }

        public function setTitle(string $title): self
        {
                $this->title = $title;

                return $this;
        }

        public function getValue(): ?float
        {
                return $this->value;
        }

        public function setValue(float $value): self
        {
                $this->value = $value;

                return $this;
        }
}
